## python-xarray 0.9.1+ds1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*
	rm -rf generated/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/xarray.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/xarray.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/xarray"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/xarray"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-xarray (0.9.1+ds1-1) unstable; urgency=low

  * Initial release. (Closes: #851444)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 23 Feb 2017 14:14:08 +0000

=== debian/control ===
Source: python-xarray
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-numpy <!nocheck>,
               python3-pandas (>= 0.15.0) <!nocheck>,
               python3-pytest (>= 2.7.1) <!nocheck>,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-xarray.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-xarray.git
Homepage: http://xarray.pydata.org/
X-Python3-Version: >= 3.4

Package: python3-xarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: N-D labeled arrays and datasets in Python 3
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the Python 3 library

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = xarray
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest --pyargs xarray
 ; done
Depends: @, python3-pytest (>= 2.7.1)

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(dfsg|ds)(\.?\d+)?$//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/xarray/xarray@ANY_VERSION@@ARCHIVE_EXT@

## python-xarray 0.9.2

=== debian/changelog ===
python-xarray (0.9.2-1ubuntu1) artful; urgency=medium

  * Drop python3-pydap from the test dependencies; all this does is turn on
    testing of a non-default backend which does not handle proxy variables
    automatically, tries to access the network, and fails even if the
    network is reachable.  Since python3-pydap is only a suggests: at
    runtime and netcdf is always preferred, we shouldn't care if it works.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 26 Aug 2017 16:40:53 -0700

python-xarray (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
  * Drop repacking of upstream tarballs, no longer required
  * Cherry-pick upstream fix for test config errors
    - New patch Fix-missing-config-errors-when-running-test-suite.patch
  * Add optional dependencies to the build
    - Added bottleneck, dask, distributed, h5netcdf, h5py, matplotlib,
      netcdf4, pydap, scipy, seaborn, toolz to the list of b-deps and
      suggested i-deps
    - Test without distributed and pydap since they are known to fail
      upstream
  * Run DEP-8 tests with all optional dependencies
  * Increase verbosity of DEP-8 tests
  * Discard egg-info dir using extend-diff-ignore
  * Add the documentation package
    - Add cartopy, ipython, numpydoc, sphinx, sphinx-rtd-theme to the list
      of b-deps
    - Mark the dask, matplotlib, netcdf4, numpy, pandas, scipy, seaborn
      b-deps as !nodoc
    - Do not build the documentation if the nodoc b-prof is requested
  * Use the packaged documentation
    - Add numpy-doc, pandas-doc, python3-doc to the list of b-deps
    - Patch the intersphinx configuration to use the packaged docs (new
      patch Use-packaged-docs.patch)
  * Use the packaged MathJax
    - Add MathJax to the i-deps of the documentation package
    - Patch the docs configuration to use the packaged MathJax
  * Remove privacy breaching content from the docs
    - New patch No-privacy-breach.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 15 Apr 2017 21:28:16 +0100

=== debian/control ===
Source: python-xarray
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python-numpy-doc <!nodoc>,
               python-pandas-doc <!nodoc>,
               python3-all,
               python3-doc <!nodoc>,
               python3-bottleneck <!nocheck>,
               python3-cartopy <!nodoc>,
               python3-dask <!nocheck> <!nodoc>,
#               python3-distributed <!nocheck>,
               python3-h5netcdf <!nocheck>,
               python3-h5py <!nocheck>,
               python3-ipython <!nodoc>,
               python3-matplotlib <!nocheck> <!nodoc>,
               python3-netcdf4 <!nocheck> <!nodoc>,
               python3-numpy <!nocheck> <!nodoc>,
               python3-numpydoc <!nodoc>,
               python3-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
#               python3-pydap <!nocheck>,
               python3-pytest (>= 2.7.1) <!nocheck>,
               python3-setuptools,
               python3-scipy <!nocheck> <!nodoc>,
               python3-seaborn <!nocheck> <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-toolz <!nocheck>,
               sphinx-common
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-xarray.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-xarray.git
Homepage: http://xarray.pydata.org/
X-Python3-Version: >= 3.4

Package: python3-xarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-xarray-doc <!nodoc>,
          python3-bottleneck,
          python3-dask,
          python3-distributed,
          python3-h5netcdf,
          python3-h5py,
          python3-matplotlib,
          python3-netcdf4,
          python3-pydap,
          python3-scipy,
          python3-seaborn,
          python3-toolz
Description: N-D labeled arrays and datasets in Python 3
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the Python 3 library

Package: python-xarray-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for xarray
 xarray (formerly xray) is an open source project and Python package that aims
 to bring the labeled data power of pandas to the physical sciences, by
 providing N-dimensional variants of the core pandas data structures.
 .
 It provides a pandas-like and pandas-compatible toolkit for analytics on
 multi-dimensional arrays, rather than the tabular data for which pandas
 excels.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,21 @@
 endif
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_clean:
+	dh_auto_clean
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
+	$(MAKE) -C doc clean
+endif
+
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
+override_dh_auto_build:
+	dh_auto_build
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
+	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
+endif
+
+override_dh_sphinxdoc:
+	dh_sphinxdoc --exclude=MathJax.js

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v --pyargs xarray
 ; done
Depends: python3-all,
         python3-bottleneck,
         python3-dask,
         python3-distributed,
         python3-h5netcdf,
         python3-h5py,
         python3-matplotlib,
         python3-netcdf4,
         python3-pytest (>= 2.7.1),
         python3-scipy,
         python3-seaborn,
         python3-toolz,
         python3-xarray

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/xarray/xarray@ANY_VERSION@@ARCHIVE_EXT@

## python-xarray 0.10.2

=== debian/changelog ===
python-xarray (0.10.2-1) unstable; urgency=medium

  * New upstream release
  * Add build-dep on python3-cloudpickle, python3-toolz

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Mar 2018 11:12:06 +0000

python-xarray (0.9.6-1) unstable; urgency=medium

  * Source future releases from GitHub
  * Use the recommended gbp configuration
  * New upstream version 0.9.6 (Closes: #882559)
  * Rebase the patch queue
    - Drop Fix-missing-config-errors-when-running-test-suite.patch,
      no longer required
    - Refresh Use-packaged-docs.patch, Use-packaged-MathJax.patch
      and No-privacy-breach.patch
  * Bump the copyright years
  * Update the dependencies
    - Drop distributed, h5netcdf, h5py, pydap and toolz from Build-Depends
    - Add rasterio and sphinx-gallery to Build-Depends
    - Move bottleneck, dask and netcdf4 from Suggests to Recommends
    - Add cartopy and rasterio to Suggests
    - Drop distributed, h5netcdf and h5py from Suggests
  * Fix autopkgtest failures.
    Thanks to Steve Langasek (Closes: #873366)
  * Drop superfluous nocheck guards
  * Ignore the autogenerated version file
  * Fix whitespacing in rules file
  * Bump the debhelper version to 11
  * Bump the standards version to 4.1.3
  * Point the VCS metadata to salsa.d.o
  * Disable Sphinx gallery generation
    - New patch No-sphinx-gallery.patch
  * Cherry-pick upstream fix for a failing test
    - New patch Fix-test-suite-failure.patch
    Thanks to Rebecca N. Plamer (Closes: #871208)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 03 Feb 2018 13:49:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,39 @@
 Source: python-xarray
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
+ Alastair McKinstry <mckinstry@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python3-all,
+	       python3-toolz,
+	       python3-cloudpickle,
                python3-doc <!nodoc>,
                python3-bottleneck <!nocheck>,
                python3-cartopy <!nodoc>,
                python3-dask <!nocheck> <!nodoc>,
-#               python3-distributed <!nocheck>,
-               python3-h5netcdf <!nocheck>,
-               python3-h5py <!nocheck>,
                python3-ipython <!nodoc>,
                python3-matplotlib <!nocheck> <!nodoc>,
                python3-netcdf4 <!nocheck> <!nodoc>,
                python3-numpy <!nocheck> <!nodoc>,
                python3-numpydoc <!nodoc>,
                python3-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
-#               python3-pydap <!nocheck>,
                python3-pytest (>= 2.7.1) <!nocheck>,
+               python3-rasterio <!nocheck> <!nodoc>,
                python3-setuptools,
                python3-scipy <!nocheck> <!nodoc>,
                python3-seaborn <!nocheck> <!nodoc>,
                python3-sphinx <!nodoc>,
+               python3-sphinx-gallery <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-toolz <!nocheck>,
                sphinx-common
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-xarray.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-xarray.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
+Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/
 X-Python3-Version: >= 3.4
 
@@ -42,15 +41,14 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
+Recommends: python3-bottleneck,
+            python3-dask,
+            python3-netcdf4
 Suggests: python-xarray-doc <!nodoc>,
-          python3-bottleneck,
-          python3-dask,
-          python3-distributed,
-          python3-h5netcdf,
-          python3-h5py,
+          python3-cartopy,
           python3-matplotlib,
-          python3-netcdf4,
           python3-pydap,
+          python3-rasterio,
           python3-scipy,
           python3-seaborn,
           python3-toolz

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,9 @@
 #!/usr/bin/make -f
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE = 1
+#export DH_VERBOSE=1
 
-export PYBUILD_NAME = xarray
-ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
-export PYBUILD_DISABLE = test
-endif
+export PYBUILD_NAME=xarray
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v --pyargs xarray
 ; done
Depends: python3-all,
         python3-pytest (>= 2.7.1),
         python3-xarray
Restrictions: needs-recommends

## python-xarray 0.10.8

=== debian/changelog ===
python-xarray (0.10.8-2) unstable; urgency=medium

  * Patch from Graham Inggs for expected ARM64 test failure (mark XFAIL).
    Closes:#904785.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Jul 2018 13:38:48 +0100

python-xarray (0.10.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.5
  * Only run tests for python3.6; tests fail on py3.7 because pandas extensions
    not yet built for py3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Jul 2018 13:56:44 +0100

python-xarray (0.10.7-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jun 2018 14:36:03 +0100

python-xarray (0.10.4-1) unstable; urgency=medium

  * New upstream release
  * Use 'xz' compression
  * Require dask >= 0.17.3 to work for
  * Ship python-xarray. Closes: #896954

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 May 2018 11:52:17 +0100

python-xarray (0.10.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.4
  * Add Anaconda (BSD-like) copyright license for dask components

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Apr 2018 10:01:29 +0100

=== debian/control ===
--- 
+++ 
@@ -7,35 +7,76 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.17.14),
-               python-numpy-doc <!nodoc>,
+               python3-numpydoc <!nodoc>,
+               python-numpydoc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python3-all,
+	       python-all,
 	       python3-toolz,
 	       python3-cloudpickle,
+	       python-cloudpickle,
                python3-doc <!nodoc>,
+	       python-doc <!nodoc>,		
                python3-bottleneck <!nocheck>,
+	       python-bottleneck <!nocheck>,
                python3-cartopy <!nodoc>,
-               python3-dask <!nocheck> <!nodoc>,
+	       python-cartopy <!nodoc>,
+               python3-dask (>= 0.17.3) <!nocheck> <!nodoc>,
                python3-ipython <!nodoc>,
+	       python-ipython <!nodoc>,
                python3-matplotlib <!nocheck> <!nodoc>,
+               python-matplotlib <!nocheck> <!nodoc>,
                python3-netcdf4 <!nocheck> <!nodoc>,
+               python-netcdf4 <!nocheck> <!nodoc>,
                python3-numpy <!nocheck> <!nodoc>,
+               python-numpy <!nocheck> <!nodoc>,
                python3-numpydoc <!nodoc>,
                python3-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
                python3-pytest (>= 2.7.1) <!nocheck>,
+               python-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
+               python-pytest (>= 2.7.1) <!nocheck>,
                python3-rasterio <!nocheck> <!nodoc>,
                python3-setuptools,
+               python-setuptools,
                python3-scipy <!nocheck> <!nodoc>,
+               python-scipy <!nocheck> <!nodoc>,
                python3-seaborn <!nocheck> <!nodoc>,
+               python-seaborn <!nocheck> <!nodoc>,
                python3-sphinx <!nodoc>,
+               python-sphinx <!nodoc>,
                python3-sphinx-gallery <!nodoc>,
+               python-sphinx-gallery <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/
-X-Python3-Version: >= 3.4
+
+Package: python-xarray
+Architecture: all
+Depends: ${misc:Depends},
+         ${python:Depends}
+Recommends: python-bottleneck,
+            python-netcdf4
+Suggests: python-xarray-doc <!nodoc>,
+          python-cartopy,
+          python-matplotlib,
+          python-pydap,
+          python-rasterio,
+          python-scipy,
+          python-seaborn
+Description: N-D labeled arrays and datasets in Python 2
+ xarray (formerly xray) is an open source project and Python package that aims
+ to bring the labeled data power of pandas to the physical sciences, by
+ providing N-dimensional variants of the core pandas data structures.
+ .
+ It provides a pandas-like and pandas-compatible toolkit for analytics on
+ multi-dimensional arrays, rather than the tabular data for which pandas
+ excels.
+ .
+ This package provides the Python 2 library
 
 Package: python3-xarray
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=xarray
PY3VERS:= $(shell py3versions -s)
PY3VERNUM:= $(shell py3versions -v -s)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C doc clean
endif

build-python%:
	python$* setup.py build

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build: $(PYTHON3:%=build-python%)
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

# No dask for python2, so skip
override_dh_auto_test:
	# pybuild --test --test-pytest -i $(PY3VERS) -p $(PY3VERNUM)
	# don't try py3.7 until pandas (dep) is built for py3.7
	pybuild --test --test-pytest -i python3.6 -p 3.6

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js
	mv debian/python-xarray-doc/usr/share/doc/python-xarray/html debian/python-xarray-doc/usr/share/doc/python-xarray-doc
	rmdir debian/python-xarray-doc/usr/share/doc/python-xarray

## python-xarray 0.11.3

=== debian/changelog ===
python-xarray (0.11.3-2) unstable; urgency=medium

  * Team upload.
  * Apply fix from upstream for test suite
    Closes: #922515

 -- Andreas Tille <tille@debian.org>  Wed, 20 Feb 2019 09:21:30 +0100

python-xarray (0.11.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jan 2019 16:25:48 +0000

python-xarray (0.11.2-2) unstable; urgency=medium

  * Build-Depend on flake8
  * Use sphinx objects from matplotlib-doc. not downloaded
  * Disable use of 'iris' in building docs, as this triggers downloads
    at build-time.  Closes: #920194

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 Jan 2019 08:48:44 +0000

python-xarray (0.11.2-1) unstable; urgency=medium

  * New upstream release
  * NaT.patch: NaT==x is now always False, so mark test XFAIL.
    Closes: #917762
  * Change description from " ... for Python 2" to " ... for Python"
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Jan 2019 16:02:08 +0000

python-xarray (0.11.0-3) unstable; urgency=medium

  * Fix from Jeremy Bicha for FTBFS with python3.7. Closes: #913952

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Nov 2018 05:16:34 +0000

python-xarray (0.11.0-2) unstable; urgency=medium

  * Add dependencies on scipy, matlplotlib to debian/tests/control.
    Closes: #913847

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Nov 2018 09:19:50 +0000

python-xarray (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Re-enable testing on python3* rather than python3.6 now pandas supports 
    python3.7. Closes: #913521
  * Bug with cftime 1.0.2: mark some affected tests XFAIL. Closes: #913524
  * Don't ship executable data (example) files
  * Don't execute tests id 'nocheck' in DEB_BUILD_OPTIONS
  * Drop deprecated Restrictions: needs-recommends from d/tests/control; 
    add dependencies instead

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Nov 2018 11:56:23 +0000

python-xarray (0.10.9-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Oct 2018 15:01:31 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,8 @@
 	       python3-toolz,
 	       python3-cloudpickle,
 	       python-cloudpickle,
+	       python-flake8,
+	       python3-flake8,
                python3-doc <!nodoc>,
 	       python-doc <!nodoc>,		
                python3-bottleneck <!nocheck>,
@@ -31,6 +33,7 @@
                python3-numpy <!nocheck> <!nodoc>,
                python-numpy <!nocheck> <!nodoc>,
                python3-numpydoc <!nodoc>,
+	       python-matplotlib-doc <!nodoc>,
                python3-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
                python3-pytest (>= 2.7.1) <!nocheck>,
                python-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
@@ -49,7 +52,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/
@@ -67,7 +70,7 @@
           python-rasterio,
           python-scipy,
           python-seaborn
-Description: N-D labeled arrays and datasets in Python 2
+Description: N-D labeled arrays and datasets in Python 
  xarray (formerly xray) is an open source project and Python package that aims
  to bring the labeled data power of pandas to the physical sciences, by
  providing N-dimensional variants of the core pandas data structures.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export PYBUILD_NAME=xarray
PY3VERS:= $(shell py3versions -s)

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C doc clean
endif

override_dh_auto_install: $(PYTHON3:%=install-python%)
	dh_auto_install
	find debian/python3-xarray -name '*.idx' -exec chmod -x {} \;

override_dh_auto_build:
	http_proxy=127.0.0.1:9 https_proxy=127.0.0.1:9 dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
endif

# No dask for python2, so skip
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for p in $(PY3VERS); do \
		PY3VERNUM=`echo $$p | sed -e 's/python//' `; \
		pybuild --test --test-pytest -i $$p -p $$PY3VERNUM  ;  \
		done
endif

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js
	mv debian/python-xarray-doc/usr/share/doc/python-xarray/html debian/python-xarray-doc/usr/share/doc/python-xarray-doc
	rmdir debian/python-xarray-doc/usr/share/doc/python-xarray

=== debian/tests/control ===
--- 
+++ 
@@ -6,5 +6,10 @@
  ; done
 Depends: python3-all,
          python3-pytest (>= 2.7.1),
-         python3-xarray
-Restrictions: needs-recommends
+         python3-xarray,
+	 python3-bottleneck,
+         python3-dask,
+         python3-netcdf4,
+         python3-scipy,
+         python3-matplotlib
+

## python-xarray 0.12.1

=== debian/changelog ===
python-xarray (0.12.1-2~bpo10+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Andreas Tille <tille@debian.org>  Mon, 26 Aug 2019 14:51:31 +0200

python-xarray (0.12.1-2) unstable; urgency=medium

  * Source-only upload for transition. Closes: #931971

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 14:13:13 +0100

python-xarray (0.12.1-1) unstable; urgency=medium

  * New upstream release
  * Drop python2 support: code and dependencies (contextlib.suppress, etc) 
    no longer work on python < 3.5
  * Add sphinx3-build script to allow python3 -based sphinx build. Helper
    script in debian/, path set in d/rules; patch to doc/Makefile

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Apr 2019 12:37:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,79 +7,36 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                dpkg-dev (>= 1.17.14),
+               python-pip,
                python3-numpydoc <!nodoc>,
-               python-numpydoc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python3-all,
-	       python-all,
 	       python3-toolz,
 	       python3-cloudpickle,
-	       python-cloudpickle,
-	       python-flake8,
 	       python3-flake8,
                python3-doc <!nodoc>,
-	       python-doc <!nodoc>,		
                python3-bottleneck <!nocheck>,
-	       python-bottleneck <!nocheck>,
                python3-cartopy <!nodoc>,
-	       python-cartopy <!nodoc>,
                python3-dask (>= 0.17.3) <!nocheck> <!nodoc>,
                python3-ipython <!nodoc>,
-	       python-ipython <!nodoc>,
                python3-matplotlib <!nocheck> <!nodoc>,
-               python-matplotlib <!nocheck> <!nodoc>,
                python3-netcdf4 <!nocheck> <!nodoc>,
-               python-netcdf4 <!nocheck> <!nodoc>,
                python3-numpy <!nocheck> <!nodoc>,
-               python-numpy <!nocheck> <!nodoc>,
                python3-numpydoc <!nodoc>,
-	       python-matplotlib-doc <!nodoc>,
                python3-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
                python3-pytest (>= 2.7.1) <!nocheck>,
-               python-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
-               python-pytest (>= 2.7.1) <!nocheck>,
                python3-rasterio <!nocheck> <!nodoc>,
                python3-setuptools,
-               python-setuptools,
                python3-scipy <!nocheck> <!nodoc>,
-               python-scipy <!nocheck> <!nodoc>,
                python3-seaborn <!nocheck> <!nodoc>,
-               python-seaborn <!nocheck> <!nodoc>,
                python3-sphinx <!nodoc>,
-               python-sphinx <!nodoc>,
                python3-sphinx-gallery <!nodoc>,
-               python-sphinx-gallery <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python-sphinx-rtd-theme <!nodoc>,
                sphinx-common
 Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/
-
-Package: python-xarray
-Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends}
-Recommends: python-bottleneck,
-            python-netcdf4
-Suggests: python-xarray-doc <!nodoc>,
-          python-cartopy,
-          python-matplotlib,
-          python-pydap,
-          python-rasterio,
-          python-scipy,
-          python-seaborn
-Description: N-D labeled arrays and datasets in Python 
- xarray (formerly xray) is an open source project and Python package that aims
- to bring the labeled data power of pandas to the physical sciences, by
- providing N-dimensional variants of the core pandas data structures.
- .
- It provides a pandas-like and pandas-compatible toolkit for analytics on
- multi-dimensional arrays, rather than the tabular data for which pandas
- excels.
- .
- This package provides the Python 2 library
 
 Package: python3-xarray
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,11 @@
 export PYBUILD_NAME=xarray
 PY3VERS:= $(shell py3versions -s)
 
+# add sphinx3-build to path 
+export PATH:=$(PATH):$(CURDIR)/debian
+
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -36,5 +39,3 @@
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc --exclude=MathJax.js
-	mv debian/python-xarray-doc/usr/share/doc/python-xarray/html debian/python-xarray-doc/usr/share/doc/python-xarray-doc
-	rmdir debian/python-xarray-doc/usr/share/doc/python-xarray

## python-xarray 0.12.3

=== debian/changelog ===
python-xarray (0.12.3-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper-compat (= 12)
  * Standards-Version: 4.4.0
  * Disable testing for this release: 1 test fails due to upstream API change
    in dask

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jul 2019 15:18:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
  Alastair McKinstry <mckinstry@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.17.14),
                python-pip,
@@ -33,7 +33,7 @@
                python3-sphinx-gallery <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/

## python-xarray 0.15.0

=== requirements.txt ===
# This file is redundant with setup.cfg;
# it exists to let GitHub build the repository dependency graph
# https://help.github.com/en/github/visualizing-repository-data-with-graphs/listing-the-packages-that-a-repository-depends-on

numpy >= 1.15
pandas >= 0.25

=== debian/changelog ===
python-xarray (0.15.0-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Allow output to stderr in autopkgtest
    + Let test_repr_of_dataset pass on big-endian systems

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 15 Mar 2020 10:40:29 +0000

python-xarray (0.15.0-3) unstable; urgency=medium

  * Drop obsolete patches from d/patches
  * Mark download tests xfail. Closes: #935455
  * Switch to python3-pip. 
  * pip3.patch: use pip3 instead of pip. Closes: #943226

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Mar 2020 10:14:52 +0000

python-xarray (0.15.0-2ubuntu2) focal; urgency=medium

  * Let test_repr_of_dataset pass on big-endian systems

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 17 Feb 2020 13:45:20 +0000

python-xarray (0.15.0-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Allow output to stderr in autopkgtest

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2020 12:32:35 +0100

python-xarray (0.15.0-2) unstable; urgency=medium

  * Build-Depend on python3-h5netcdf , python3-zarr, python3-pandas,
    ipython3, python3-jupyter-console, python3-jupyter-core,
    python3-jupyter-client. Closes: #950828
  * Change setup.py to find, include all subpackages. Closes: #950743 
  * Standards-Version: 4.5.0
  * Update no-installer patch to set nbsphinx_allow_errors = True

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Feb 2020 12:54:43 +0000

python-xarray (0.15.0-1) unstable; urgency=medium

  * New upstream release
  * Patches cftime_xfail.patch, 0c73a38_Fix_CRS.patch, xfail-dask.patch
    no longer needed.
  * Add patch to disable failures with new ipython. Closes:  #950101
  * Patch no-installer.patch: Don't try to pip install anything
  * Depend on python3-nbsphinx, python3-cfgrib, pandoc,python3-numpydoc,

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Feb 2020 14:22:30 +0000

python-xarray (0.14.1-2) unstable; urgency=medium

  * numpy has transitioned to python-numpy-doc for docs needed for build.
    Use instead odd python-numpydoc

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Dec 2019 11:27:37 +0000

python-xarray (0.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Dec 2019 12:08:12 +0000

python-xarray (0.14.0-2ubuntu1) focal; urgency=medium

  * Allow output to stderr in autopkgtest

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 21 Nov 2019 20:04:58 +0000

python-xarray (0.14.0-2) unstable; urgency=medium

  [ Matthias Klose ] 
  * Fix test failures with new cftime 1.0.4, taken from upstream.
  * _get_scheduler() exception if dask.multiprocessing missing, taken
    from upstream.

  [ Alastair McKinstry ]
  * xfail-dask.patch: Dask version in Debian is < 2.
    Label some functionality XFAIL, set dask='allowed' rather than
    'parallelize' where possible for the rest
  * xfail-rasterio.patch: Disable tests due to issue in rasterio:
    "WarpedVRT does not permit boundless reads".
    Closes: #944044

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Nov 2019 18:32:58 +0000

python-xarray (0.14.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Oct 2019 10:53:11 +0100

python-xarray (0.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Sep 2019 10:31:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-xarray
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>,
  Alastair McKinstry <mckinstry@debian.org>
 Section: python
@@ -7,10 +8,13 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                dpkg-dev (>= 1.17.14),
-               python-pip,
-               python3-numpydoc <!nodoc>,
+               python3-pip,
+               python-numpy-doc <!nodoc>,
                python-pandas-doc <!nodoc>,
                python3-all,
+	       python3-cfgrib,
+	       python3-h5netcdf <!nocheck>,
+	       python3-zarr <!nocheck>,
 	       python3-toolz,
 	       python3-cloudpickle,
 	       python3-flake8,
@@ -22,7 +26,7 @@
                python3-matplotlib <!nocheck> <!nodoc>,
                python3-netcdf4 <!nocheck> <!nodoc>,
                python3-numpy <!nocheck> <!nodoc>,
-               python3-numpydoc <!nodoc>,
+               python3-numpydoc <!nocheck> <!nodoc>,
                python3-pandas (>= 0.15.0) <!nocheck> <!nodoc>,
                python3-pytest (>= 2.7.1) <!nocheck>,
                python3-rasterio <!nocheck> <!nodoc>,
@@ -30,10 +34,16 @@
                python3-scipy <!nocheck> <!nodoc>,
                python3-seaborn <!nocheck> <!nodoc>,
                python3-sphinx <!nodoc>,
+	       python3-nbsphinx <!nodoc>,
                python3-sphinx-gallery <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               sphinx-common
-Standards-Version: 4.4.0
+               sphinx-common,
+	       pandoc,
+	       ipython3,
+		python3-jupyter-console, 
+		python3-jupyter-core, 
+		python3-jupyter-client
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-xarray
 Vcs-Git: https://salsa.debian.org/science-team/python-xarray.git
 Homepage: http://xarray.pydata.org/
@@ -41,10 +51,14 @@
 Package: python3-xarray
 Architecture: all
 Depends: ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         python3-numpy,
+         python3-pandas
 Recommends: python3-bottleneck,
             python3-dask,
-            python3-netcdf4
+            python3-netcdf4,
+	    python3-h5netcdf,
+	    python3-zarr
 Suggests: python-xarray-doc <!nodoc>,
           python3-cartopy,
           python3-matplotlib,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 # add sphinx3-build to path 
 export PATH:=$(PATH):$(CURDIR)/debian
+
+# Disable checking for this release:
+DEB_BUILD_OPTIONS += nocheck
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -28,7 +31,6 @@
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html
 endif
 
-# No dask for python2, so skip
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	for p in $(PY3VERS); do \

=== debian/tests/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
          python3-pytest (>= 2.7.1),
          python3-xarray,
 	 python3-bottleneck,
-         python3-dask,
+         python3-dask (>= 2.8.1+dfsg),
          python3-netcdf4,
          python3-scipy,
          python3-matplotlib
-         
+Restrictions: allow-stderr
